[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'keyboard' (#rtl)

# ShiftStateToString

Return description of key event shift state

## Declaration

Source position: keybrdh.inc line 190

`function ShiftStateToString(`
`KeyEvent: TKeyEvent;`
`UseLeftRight: Boolean`
`):string;`

## Description

ShiftStateToString returns a string description of the shift state of the key event KeyEvent. This can be an empty string.

The shift state is described using the strings in the SShift constant.

For an example, see PollShiftStateEvent.

## Errors

None.

## See also

FunctionKeyName |  | Return string representation of a function key code.
KeyEventToString |  | Return a string describing the key event.

Documentation generated on: Feb 26 2014